
function resourceById(resource, id){
    return ['resources', resource, id].join('/');
}

function resourceByName(resource, name){
    return ['resources', resource].join('/') + '?where={"name":"' + name + '"}'
}

exports.assertIdentifier = function assertIdentifier(id, options) {
    if (!(id || options.name)) {
        console.log('invalid parameters - expecting an id or a --name');
        process.exit(1);
    }
};

exports.createResource = function createResource(resource, id, options){
    exports.assertIdentifier(id, options);

    return  (options.name) ? resourceByName(resource, options.name) : resourceById(resource, id);
};
